Index: trunk/calendar/inc/class.boicalendar.inc.php
===================================================================
--- trunk/calendar/inc/class.boicalendar.inc.php	(revision 3736)
+++ trunk/calendar/inc/class.boicalendar.inc.php	(revision 5132)
@@ -805,213 +803,213 @@
 					)
 				),
-				'byday'		=> Array(
+			'byday' => Array (
 					'type'		=> 'text',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'rrule'		=> True
 					)
 				),
-				'byhour'		=> Array(
+			'byhour' => Array (
 					'type'		=> 'text',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'rrule'		=> True
 					)
 				),
-				'byminute'		=> Array(
+			'byminute' => Array (
 					'type'		=> 'text',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'rrule'		=> True
 					)
 				),
-				'bymonth'		=> Array(
+			'bymonth' => Array (
 					'type'		=> 'text',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'rrule'		=> True
 					)
 				),
-				'bymonthday'	=> Array(
+			'bymonthday' => Array (
 					'type'		=> 'text',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'rrule'		=> True
 					)
 				),
-				'bysecond'		=> Array(
+			'bysecond' => Array (
 					'type'		=> 'text',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'rrule'		=> True
 					)
 				),
-				'bysetpos'		=> Array(
+			'bysetpos' => Array (
 					'type'		=> 'text',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'rrule'		=> True
 					)
 				),
-				'byweekno'		=> Array(
+			'byweekno' => Array (
 					'type'		=> 'text',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'rrule'		=> True
 					)
 				),
-				'byyearday'		=> Array(
+			'byyearday' => Array (
 					'type'		=> 'text',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'rrule'		=> True
 					)
 				),
-				'class'			=> Array(
+			'class' => Array (
 					'type'		=> 'function',
 					'function'	=> 'switch_class',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'class'			=> True
 					)
 				),
-				'cn'			=> Array(
+			'cn' => Array (
 					'type'		=> 'text',
 					'quoted'		=> True,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'attendee'		=> True,
 						'organizer'		=> True
 					)
 				),
-				'count'		=> Array(
+			'count' => Array (
 					'type'		=> 'integer',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'rrule'			=> True
 					)
 				),
-				'cu'			=> Array(
+			'cu' => Array (
 					'type'		=> 'function',
 					'function'	=> 'switch_cu',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'attendee'		=> True
 					)
 				),
-				'delegated_from'	=> Array(
+			'delegated_from' => Array (
 					'type'		=> 'function',
 					'function'	=> 'switch_mailto',
 					'quoted'		=> True,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'attendee'		=> True
 					)
 				),
-				'delegated_to'	=> Array(
+			'delegated_to' => Array (
 					'type'		=> 'function',
 					'function'	=> 'switch_mailto',
 					'quoted'		=> True,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'attendee'		=> True
 					)
 				),
-				'dir'			=> Array(
+			'dir' => Array (
 					'type'		=> 'dir',
 					'quoted'		=> True,
 					'to_text'	=> True,
-					'properties'	=> Array(
+				'properties' => Array (
 						'attendee'		=> True,
 						'organizer'		=> True
 					)
 				),
-				'dtend'		=> Array(
+			'dtend' => Array (
 					'type'		=> 'function',
 					'function'	=> 'switch_date',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'dtend'		=> True
 					)
 				),
-				'dtstamp'		=> Array(
+			'dtstamp' => Array (
 					'type'		=> 'function',
 					'function'	=> 'switch_date',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'dtstamp'		=> True
 					)
 				),
-				'dtstart'		=> Array(
+			'dtstart' => Array (
 					'type'		=> 'function',
 					'function'	=> 'switch_date',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'dtstart'		=> True
 					)
 				),
-				'encoding'	=> Array( // was enocding ???
+			'encoding' => Array (// was enocding ???
 					'type'		=> 'function',
 					'function'	=> 'switch_encoding',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'attach'			=> True
 					)
 				),
-				'fmttype'	=> Array(
+			'fmttype' => Array (
 					'type'		=> 'text',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'attach'			=> True
 					)
 				),
-				'fbtype'		=> Array(
+			'fbtype' => Array (
 					'type'		=> 'function',
 					'function'	=> 'switch_fbtype',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'attach'			=> True
 					)
 				),
-				'freq'		=> Array(
+			'freq' => Array (
 					'type'		=> 'function',
 					'function'	=> 'switch_freq',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'rrule'			=> True
 					)
 				),
-				'interval'		=> Array(
+			'interval' => Array (
 					'type'		=> 'integer',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'rrule'		=> True
 					)
 				),
-				'language'		=> Array(
+			'language' => Array (
 					'type'		=> 'text',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'categories'	=> True,
 						'comment'		=> True,
@@ -1027,94 +1025,94 @@
 					)
 				),
-				'last_modified'		=> Array(
+			'last_modified' => Array (
 					'type'		=> 'function',
 					'function'	=> 'switch_date',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'last_modified'	=> True
 					)
 				),
-				'mailto'		=> Array(
+			'mailto' => Array (
 					'type'		=> 'function',
 					'function'	=> 'switch_mailto',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'attendee'		=> True,
 						'organizer'		=> True
 					)
 				),
-				'member'		=> Array(
+			'member' => Array (
 					'type'		=> 'function',
 					'function'	=> 'switch_mailto',
 					'quoted'		=> True,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'attendee'		=> True
 					)
 				),
-				'partstat'		=> Array(
+			'partstat' => Array (
 					'type'		=> 'function',
 					'function'	=> 'switch_partstat',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'attendee'		=> True,
 						'organizer'		=> True
 					)
 				),
-				'range'		=> Array(
+			'range' => Array (
 					'type'		=> 'function',
 					'function'	=> 'switch_range',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'recurrence_id'	=> True
 					)
 				),
-				'related'		=> Array(
+			'related' => Array (
 					'type'		=> 'function',
 					'function'	=> 'switch_related',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'related_to'	=> True
 					)
 				),
-				'role'		=> Array(
+			'role' => Array (
 					'type'		=> 'function',
 					'function'	=> 'switch_role',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'attendee'		=> True,
 						'organizer'		=> True
 					)
 				),
-				'rsvp'		=> Array(
+			'rsvp' => Array (
 					'type'		=> 'function',
 					'function'	=> 'switch_rsvp',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'attendee'		=> True
 					)
 				),
-				'sent_by'		=> Array(
+			'sent_by' => Array (
 					'type'		=> 'function',
 					'function'	=> 'parse_user_host',
 					'quoted'		=> True,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'attendee'		=> True,
 						'organizer'		=> True
 					)
 				),
-				'tzid'		=> Array(
+			'tzid' => Array (
 					'type'		=> 'text',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'dtend'		=> True,
 						'due'			=> True,
@@ -1125,18 +1123,18 @@
 					)
 				),
-				'until'		=> Array(
+			'until' => Array (
 					'type'		=> 'function',
 					'function'	=> 'switch_date',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'rrule'		=> True
 					)
 				),
-				'value'		=> Array(
+			'value' => Array (
 					'type'		=> 'value',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'calscale'	=> True,
 						'prodid'		=> True,
@@ -1188,17 +1186,17 @@
 					)
 				),
-				'wkst'		=> Array(
+			'wkst' => Array (
 					'type'		=> 'string',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'rrule'		=> True
 					)
 				),
-				'x_type'		=> Array(
+			'x_type' => Array (
 					'type'		=> 'x_type',
 					'quoted'		=> False,
 					'to_text'	=> False,
-					'properties'	=> Array(
+				'properties' => Array (
 						'calscale'	=> True,
 						'method'		=> True,
@@ -1251,13 +1249,11 @@
 				)
 			);
-			if(!is_object($GLOBALS['phpgw']->datetime))
-			{
+		if (!is_object($GLOBALS['phpgw']->datetime)) {
 				$GLOBALS['phpgw']->datetime = createobject('phpgwapi.date_time');
 			}
 		}
 
-		function set_var(&$event,$type,$value)
-		{
-			$type = strtolower(str_replace('-','_',$type));
+	function set_var(& $event, $type, $value) {
+		$type = strtolower(str_replace('-', '_', $type));
 			$event[$type] = $value;
 			/*
@@ -1273,76 +1269,68 @@
 		}
 
-		function read_line_unfold($ical_text)
-		{
-			if($this->line < count($ical_text))
-			{
-				$str = str_replace(array("\r\n","\r","\n"), '', $ical_text[$this->line]);
+	function read_line_unfold($ical_text) {
+		if ($this->line < count($ical_text)) {
+			$str = str_replace(array (
+				"\r\n",
+				"\r",
+				"\n"
+			), '', $ical_text[$this->line]);
 
 				$this->line = $this->line + 1;
-				while(ereg("^[[:space:]]",$ical_text[$this->line]))
-				{
-					$str .= substr(str_replace("\r\n",'',$ical_text[$this->line]),1);
+			while (ereg("^[[:space:]]", $ical_text[$this->line])) {
+				$str .= substr(str_replace("\r\n", '', $ical_text[$this->line]), 1);
 					$this->line = $this->line + 1;
 				}
 				
-				// Corrige a codificacao dos caracteres
-				$str = trim ($str);
-				if ( mb_detect_encoding($str, 'auto') == 'UTF-8' )
-					$str = preg_replace("/([\xC2\xC3])([\x80-\xBF])/e","chr(ord('\\1')<<6&0xC0|ord('\\2')&0x3F)",$str);
+			// Corrige a codificacao dos caracteres, caso haja suporte a mesma.
+			$str = trim($str);
+			if (mb_detect_encoding($str, 'auto') == 'UTF-8')
+				if ($conv = preg_replace("/([\xC2\xC3])([\x80-\xBF])/e", "chr(ord('\\1')<<6&0xC0|ord('\\2')&0x3F)", $str))
+					$str = $conv;
 
 				//$this->debug("LINE : ".$str);
 				return $str;
-			}
-			else
-			{
+		} else {
 				return False;
 			}
 		}
 
-		function fold($str)
-		{
-			return $this->chunk_split==True ? chunk_split($str,FOLD_LENGTH,"\r\n") : $str."\r\n";
-		}
-
-		function strip_quotes($str)
-		{
-			return str_replace('"','',$str);
-		}
-
-		function from_text($str)
-		{
-			$str = str_replace("\\,",",",$str);
-			$str = str_replace("\\;",";",$str);
-			$str = str_replace("\\N","\n",$str);
-			$str = str_replace("\\n","\n",$str);
-			$str = str_replace("\\\\","\\",$str);
+	function fold($str) {
+		return $this->chunk_split == True ? chunk_split($str, FOLD_LENGTH, "\r\n") : $str . "\r\n";
+		}
+
+	function strip_quotes($str) {
+		return str_replace('"', '', $str);
+		}
+
+	function from_text($str) {
+		$str = str_replace("\\,", ",", $str);
+		$str = str_replace("\\;", ";", $str);
+		$str = str_replace("\\N", "\n", $str);
+		$str = str_replace("\\n", "\n", $str);
+		$str = str_replace("\\\\", "\\", $str);
 			return "$str";
 		}
 
-		function to_text($str)
-		{
-			$str = str_replace("\\","\\\\",$str);
-			$str = str_replace(",","\\,",$str);
-			$str = str_replace(";","\\;",$str);
-			$str = str_replace("\n","\\n",$str);
+	function to_text($str) {
+		$str = str_replace("\\", "\\\\", $str);
+		$str = str_replace(",", "\\,", $str);
+		$str = str_replace(";", "\\;", $str);
+		$str = str_replace("\n", "\\n", $str);
 			return "$str";
 		}
 
-		function from_dir($str)
-		{
-			return str_replace('=3D','=',str_replace('%20',' ',$str));
-		}
-
-		function to_dir($str)
-		{
-			return str_replace('=','=3D',str_replace(' ','%20',$str));
-		}
-
-		function find_parameters($property)
-		{
+	function from_dir($str) {
+		return str_replace('=3D', '=', str_replace('%20', ' ', $str));
+		}
+
+	function to_dir($str) {
+		return str_replace('=', '=3D', str_replace(' ', '%20', $str));
+		}
+
+	function find_parameters($property) {
 			static  $cached_returns;
 
-			if(isset($cached_returns[$property]))
-			{
+		if (isset ($cached_returns[$property])) {
 				reset($cached_returns[$property]);
 				return $cached_returns[$property];
@@ -1350,10 +1338,8 @@
 
 			reset($this->parameter);
-			while(list($key,$param_array) = each($this->parameter))
-			{
-				if($param_array['properties'][$property])
-				{
+		while (list ($key, $param_array) = each($this->parameter)) {
+			if ($param_array['properties'][$property]) {
 					$param[] = $key;
-					$this->debug('Property : '.$property.' = Parameter : '.$key);
+				$this->debug('Property : ' . $property . ' = Parameter : ' . $key);
 				}
 			}
@@ -1363,10 +1349,8 @@
 		}
 
-		function find_properties($ical_type)
-		{
+	function find_properties($ical_type) {
 			static  $cached_returns;
 
-			if(isset($cached_returns[$ical_type]))
-			{
+		if (isset ($cached_returns[$ical_type])) {
 				reset($cached_returns[$ical_type]);
 				return $cached_returns[$ical_type];
@@ -1374,8 +1358,6 @@
 
 			reset($this->property);
-			while(list($key,$param_array) = each($this->property))
-			{
-				if($param_array[$ical_type])
-				{
+		while (list ($key, $param_array) = each($this->property)) {
+			if ($param_array[$ical_type]) {
 					$prop[] = $key;
 				}
@@ -1386,7 +1368,6 @@
 		}
 
-		function new_ical()
-		{
-			return Array();
+	function new_ical() {
+		return Array ();
 		}
 
@@ -1395,9 +1376,7 @@
 		*/
 
-		function parse_geo(&$event,$value)
-		{
+	function parse_geo(& $event, $value) {
 			//		$return_value = $this->explode_param($value,True);
-			if(count($return_value) == 2)
-			{
+		if (count($return_value) == 2) {
 				$event['lat'] = $return_value[0];
 				$event['lon'] = $return_value[1];
@@ -1405,17 +1384,14 @@
 		}
 
-		function parse_xtype(&$event,$majortype,$value)
-		{
-			$temp_x_type['name'] = strtoupper(substr($majortype,2));
+	function parse_xtype(& $event, $majortype, $value) {
+		$temp_x_type['name'] = strtoupper(substr($majortype, 2));
 			$temp_x_type['value'] = $value;
 			$event['x_type'][] = $temp_x_type;
 		}
 
-		function parse_parameters(&$event,$majortype,$value)
-		{
+	function parse_parameters(& $event, $majortype, $value) {
 			//$this->debug ('value: '.$value);
-			if(!ereg('[\=\;]',$value))
-			{
-				$return_value[] = Array(
+		if (!ereg('[\=\;]', $value)) {
+			$return_value[] = Array (
 					'param'	=> $majortype,
 					'value'	=> $value
@@ -1423,21 +1399,18 @@
 				$value = '';
 			}
-			elseif(ereg('(.*(\:\\\\)?.*):(.*)',$value,$temp))
-			{
+		elseif (ereg('(.*(\:\\\\)?.*):(.*)', $value, $temp)) {
 				//$this->debug('Value : '._debug_array($temp,False));
 				//$this->debug('Param '.$majortype.' Value : '.$temp[3]);
-				if($temp[3])
-				{
-					$return_value[] = Array(
+			if ($temp[3]) {
+				$return_value[] = Array (
 						'param'	=> $majortype,
 						'value'	=> $temp[3]
 					);
-					$value = str_replace(':MAILTO','',$temp[1]);
-				}
-				while(ereg('(([A-Z\-]*)[=]([[:alnum:] \_\)\(\/\$\.\,\:\\\|\*\&\^\%\#\!\~\"\?\&\@\<\>\-]*))([\;]?)(.*)',$value,$temp))
-				{
+				$value = str_replace(':MAILTO', '', $temp[1]);
+				}
+			while (ereg('(([A-Z\-]*)[=]([[:alnum:] \_\)\(\/\$\.\,\:\\\|\*\&\^\%\#\!\~\"\?\&\@\<\>\-]*))([\;]?)(.*)', $value, $temp)) {
 					//$this->debug('Value : '._debug_array($temp,False));
 					//$this->debug('Param '.$temp[2].' Value : '.$temp[3]);
-					$return_value[] = Array(
+				$return_value[] = Array (
 						'param'	=> $temp[2],
 						'value'	=> $temp[3]
@@ -1446,17 +1419,14 @@
 					//$this->debug('Value would be = '.$value);
 				}
-			}
-			else
-			{
-				while(ereg('(([A-Z\-]*)[=]([[:alnum:] \_\)\(\/\$\.\,\:\\\|\*\&\^\%\#\!\~\"\?\&\@\<\>\-]*))([\;]?)(.*)',$value,$temp))
-				{
-					$this->debug('Value : '._debug_array($temp,False));
-					$this->debug('Param '.$temp[2].' Value : '.$temp[3]);
-					$return_value[] = Array(
+		} else {
+			while (ereg('(([A-Z\-]*)[=]([[:alnum:] \_\)\(\/\$\.\,\:\\\|\*\&\^\%\#\!\~\"\?\&\@\<\>\-]*))([\;]?)(.*)', $value, $temp)) {
+				$this->debug('Value : ' . _debug_array($temp, False));
+				$this->debug('Param ' . $temp[2] . ' Value : ' . $temp[3]);
+				$return_value[] = Array (
 						'param'	=> $temp[2],
 						'value'	=> $temp[3]
 					);
 					$value = chop($temp[5]);
-					$this->debug('Value would be = '.$value);
+				$this->debug('Value would be = ' . $value);
 				}
 			}
@@ -1464,25 +1434,17 @@
 			//$this->debug('parse_parameters array return_value: '._debug_array($return_value,False));
 
-			for($i=0;$i<count($return_value);$i++)
-			{
+		for ($i = 0; $i < count($return_value); $i++) {
 				$name = strtolower($return_value[$i]['param']);
 				$value = $this->strip_quotes($return_value[$i]['value']);
-				if(substr($name,0,2) == 'x-')
-				{
+			if (substr($name, 0, 2) == 'x-') {
 					$param = 'x_type';
-					$name = str_replace('-','_',$return_value[$i]['param']);
-				}
-				else
-				{
-					$param = str_replace('-','_',strtolower($name));
-					if(!isset($this->parameter[$param]) || $majortype == 'tzid')
-					{
-						if($majortype == 'attendee' || $majortype == 'organizer')
-						{
+				$name = str_replace('-', '_', $return_value[$i]['param']);
+			} else {
+				$param = str_replace('-', '_', strtolower($name));
+				if (!isset ($this->parameter[$param]) || $majortype == 'tzid') {
+					if ($majortype == 'attendee' || $majortype == 'organizer') {
 							$param = 'mailto';
 							$name = $param;
-						}
-						else
-						{
+					} else {
 							$param = 'value';
 						}
@@ -1490,41 +1452,36 @@
 				}
 				//$this->debug('name : '.$name.' : Param = '.$param);
-				if(@$this->parameter[$param]['properties'][$majortype])
-				{
-					switch(@$this->parameter[$param]['type'])
-					{
-						case 'dir':
-							$this->set_var($event,$name,$this->from_dir($value));
+			if (@ $this->parameter[$param]['properties'][$majortype]) {
+				switch (@ $this->parameter[$param]['type']) {
+					case 'dir' :
+						$this->set_var($event, $name, $this->from_dir($value));
 							break;
-						case 'text':
-							$this->set_var($event,$name,$value);
+					case 'text' :
+						$this->set_var($event, $name, $value);
 							break;
-						case 'x_type':
-							$this->parse_xtype($event,$name,$value);
+					case 'x_type' :
+						$this->parse_xtype($event, $name, $value);
 							break;
-						case 'function':
+					case 'function' :
 							$function = $this->parameter[$param]['function'];
-							$this->set_var($event,$name,$this->$function($value));
+						$this->set_var($event, $name, $this-> $function ($value));
 							break;
-						case 'uri':
-							if(@$this->parameter[$param]['to_text'])
-							{
+					case 'uri' :
+						if (@ $this->parameter[$param]['to_text']) {
 								$value = $this->to_text($value);
 							}
-							$this->set_var($event,$name,$value);
+						$this->set_var($event, $name, $value);
 							break;
-						case 'integer':
-							$this->set_var($event,$name,(int)$value);
+					case 'integer' :
+						$this->set_var($event, $name, (int) $value);
 							break;
-						case 'value':
-							if(@$this->property[$majortype]['type'] == 'date-time')
-							{
-								$this->set_var($event,$param,$this->switch_date($name));
+					case 'value' :
+						if (@ $this->property[$majortype]['type'] == 'date-time') {
+							$this->set_var($event, $param, $this->switch_date($name));
 							}
-							elseif($value <> "\\n" && $value)
-							{
-								$this->set_var($event[$majortype],$param,$value);
+						elseif ($value <> "\\n" && $value) {
+							$this->set_var($event[$majortype], $param, $value);
 							}
-							$this->debug('Event : '._debug_array($event,False));
+						$this->debug('Event : ' . _debug_array($event, False));
 							break;
 					}
@@ -1533,28 +1490,21 @@
 		}
 
-		function parse_value(&$event,$majortype,$value,$mode)
-		{
-			$var = Array();
+	function parse_value(& $event, $majortype, $value, $mode) {
+		$var = Array ();
 			//$this->debug('Mode : '.$mode.' Majortype : '.$majortype);
-			$this->parse_parameters($var,$majortype,$value);
-			if($this->property[$majortype][$mode]['multiples'])
-			{
+		$this->parse_parameters($var, $majortype, $value);
+		if ($this->property[$majortype][$mode]['multiples']) {
 				//$this->debug('parse_value var array: '._debug_array($var,False));
 				$event[$majortype][] = $var;
-			}
-			else
-			{
+		} else {
 				//$this->debug('Majortype : '.$majortype);
 				//$this->debug('Property : '.$this->property[$majortype]['type']);
-				if($this->property[$majortype]['type'] == 'date-time')
-				{
+			if ($this->property[$majortype]['type'] == 'date-time') {
 					//$this->debug('Got a DATE-TIME type!');
 					$t_var = $var[$majortype];
-					unset($var[$majortype]);
-					if ( $t_var )
-					{
+				unset ($var[$majortype]);
+				if ($t_var) {
 						reset($t_var);
-						while(list($key,$val) = each($t_var))
-						{
+					while (list ($key, $val) = each($t_var)) {
 							$var[$key] = $val;
 						}
@@ -1562,5 +1512,5 @@
 					}
 				}
-				$this->set_var($event,$majortype,$var);
+			$this->set_var($event, $majortype, $var);
 			}
 		}
@@ -1570,25 +1520,19 @@
 		 */
 
-		function build_xtype($x_type,$seperator='=')
-		{
+	function build_xtype($x_type, $seperator = '=') {
 			$quote = '';
-			if($seperator == '=')
-			{
+		if ($seperator == '=') {
 				$quote = '"';
 			}
 
-			$return_value = $this->fold('X-'.$x_type['name'].$seperator.$quote.$x_type['value'].$quote);
-			if($seperator == '=')
-			{
-				return str_replace("\r\n",'',$return_value);
-			}
-			else
-			{
+		$return_value = $this->fold('X-' . $x_type['name'] . $seperator . $quote . $x_type['value'] . $quote);
+		if ($seperator == '=') {
+			return str_replace("\r\n", '', $return_value);
+		} else {
 				return $return_value;
 			}
 		}
 
-		function build_parameters($event,$property)
-		{
+	function build_parameters($event, $property) {
 			$str = '';
 			$include_mailto = False;
